## GODataMatrix GODataMatrix |

## Synopsis

                        GODataMatrix;
                        GODataMatrixClass;
                        GODataMatrixSize;

    GODataMatrixSize    go_data_matrix_get_size             (GODataMatrix *mat);
    double *            go_data_matrix_get_values           (GODataMatrix *mat);
    double              go_data_matrix_get_value            (GODataMatrix *mat,
                                                             unsigned  i,
                                                             unsigned  j);
    char *              go_data_matrix_get_str              (GODataMatrix *mat,
                                                             unsigned  i,
                                                             unsigned  j);
    void                go_data_matrix_get_minmax           (GODataMatrix *mat,
                                                             double *min,
                                                             double *max);
    #define             GO_DATA_MATRIX_SIZE_CACHED

## Object Hierarchy

      GObject
       +----GOData
             +----GODataMatrix
                   +----GODataMatrixVal

## Description

## Details

### GODataMatrix

    typedef struct _GODataMatrix GODataMatrix;

### GODataMatrixClass

    typedef struct {
    	GODataClass base;

    	void	 (*load_size)    (GODataMatrix *vec);
    	void	 (*load_values) (GODataMatrix *vec);
    	double	 (*get_value)   (GODataMatrix *mat, unsigned i, unsigned j);
    	char *(*get_str) (GODataMatrix *mat, unsigned i, unsigned j);
    } GODataMatrixClass;

### GODataMatrixSize

    typedef struct {
    	int rows; /* negative if dirty, includes missing values */
    	int columns; /* negative if dirty, includes missing values */
    } GODataMatrixSize;

### go_data_matrix_get_size ()

    GODataMatrixSize    go_data_matrix_get_size             (GODataMatrix *mat);

`mat` : |
Returns : |

### go_data_matrix_get_values ()

    double *            go_data_matrix_get_values           (GODataMatrix *mat);

`mat` : |
Returns : |

### go_data_matrix_get_value ()

    double              go_data_matrix_get_value            (GODataMatrix *mat,
                                                             unsigned  i,
                                                             unsigned  j);

`mat` : |
`i` : |
`j` : |
Returns : |

### go_data_matrix_get_str ()

    char *              go_data_matrix_get_str              (GODataMatrix *mat,
                                                             unsigned  i,
                                                             unsigned  j);

`mat` : |
`i` : |
`j` : |
Returns : |

### go_data_matrix_get_minmax ()

    void                go_data_matrix_get_minmax           (GODataMatrix *mat,
                                                             double *min,
                                                             double *max);

`mat` : |
`min` : |
`max` : |

### GO_DATA_MATRIX_SIZE_CACHED

    #define GO_DATA_MATRIX_SIZE_CACHED GO_DATA_SIZE_CACHED